marcel_amore Regular Contributor.
Regular Contributor.
366 views

eDir2eDir Driver Certificates Wizard ERROR

Jump to solution
Hello,

first of all sorry, I'm a newby with Identity Manager / eDirectory products.

Here is my problem :
- I have 2 Trees.
- I add 2 new servers to my TreeA, replica ring is OK
- I launch "eDir2eDir Driver Certificates Wizard", write the god authentification informations for the TreeA and TreeB. The wizard start certificates builduinf ... and stop with :

[INDENT]Error: Driver Wizard - Error
The following 'Exception' was thrown but not handled.

''Unable to create the certificates. The following error occurred: -1''.[/INDENT]

Version old servers : Idendity Manager 4.5.6 with eDirectory v8.8 SP8
Version new servers : Idendity Manager 4.7.1 with eDirectory v9.1.2
iManager version 3.1.2


Thank you
Labels (1)
0 Likes
1 Solution

Accepted Solutions
Highlighted
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: eDir2eDir Driver Certificates Wizard ERROR

Jump to solution
First, welcome to the products.

Second, there is an Identity Manager (IDM) forum, with an engine and
drivers subforum, as well as a Designer subforum. I'd probably go for the
first of those, and post this there where the IDM experts are.

Third, I'd use Designer rather than iManager. It may also be worthwhile
to make sure the drivers work without any TLS/SSL, just to be sure the
communications channels are open network-wise.

Fourth, eDirectory 8.8 SP8 is end of life, and IDM 4.5 is too. While
normally I do not care about this type of thing, one of the big changes
from eDir 8.8 to 9.x was the change of TLS/SSL that has happened
industry-wide, obsoleting old things like SSLv3 and requiring things like
TLS 1.2. While both versions may have some overlap with TLS 1.0, and
while this may not really matter for the simple certificate exchange, this
might be something to consider sooner than later (upgrading the older
environment). iManager 3.x is made for eDirectory 9.x, and while I've had
no issues managing eDir 8.8 with it, I have not tried this particular
operation with it either, as I basically always use Designer these days.
With that in mind, IDM 4.7 is supposed to use Designer 4.7, which is
LDAP-based entirely, and IDM 4.5 used earlier versions which were entirely
NCP-based, so be sure to use the older versions (Designer 4.6 with SPs),
the non-LDAP version, to work with both at the same time until you get the
older environment upgraded to at least 4.6.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
1 Reply
Highlighted
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: eDir2eDir Driver Certificates Wizard ERROR

Jump to solution
First, welcome to the products.

Second, there is an Identity Manager (IDM) forum, with an engine and
drivers subforum, as well as a Designer subforum. I'd probably go for the
first of those, and post this there where the IDM experts are.

Third, I'd use Designer rather than iManager. It may also be worthwhile
to make sure the drivers work without any TLS/SSL, just to be sure the
communications channels are open network-wise.

Fourth, eDirectory 8.8 SP8 is end of life, and IDM 4.5 is too. While
normally I do not care about this type of thing, one of the big changes
from eDir 8.8 to 9.x was the change of TLS/SSL that has happened
industry-wide, obsoleting old things like SSLv3 and requiring things like
TLS 1.2. While both versions may have some overlap with TLS 1.0, and
while this may not really matter for the simple certificate exchange, this
might be something to consider sooner than later (upgrading the older
environment). iManager 3.x is made for eDirectory 9.x, and while I've had
no issues managing eDir 8.8 with it, I have not tried this particular
operation with it either, as I basically always use Designer these days.
With that in mind, IDM 4.7 is supposed to use Designer 4.7, which is
LDAP-based entirely, and IDM 4.5 used earlier versions which were entirely
NCP-based, so be sure to use the older versions (Designer 4.6 with SPs),
the non-LDAP version, to work with both at the same time until you get the
older environment upgraded to at least 4.6.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.